%global pypi_name u-msgpack-python

Summary:        A portable, lightweight MessagePack serializer and deserializer
Name:           python-%{pypi_name}
Version:        2.8.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/vsergeev/u-msgpack-python
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel python3-pip python3-setuptools python3-wheel
BuildRequires:  python3-pytest python3-mypy

BuildArch:      noarch

%description
A lightweight MessagePack serializer and deserializer module written in pure
Python. It is fully compliant with the latest MessagePack specification.
In particular, it supports the new binary, UTF-8 string, and
application-defined ext types.


%package -n     python3-%{pypi_name}
Summary:        A portable, lightweight MessagePack serializer and deserializer

%description -n python3-%{pypi_name}
A lightweight MessagePack serializer and deserializer module written in pure
Python. It is fully compliant with the latest MessagePack specification.
In particular, it supports the new binary, UTF-8 string, and
application-defined ext types.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files umsgpack


%check
# The following commands refer to tox.ini to remove the dependency on tox
pytest
mypy umsgpack


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Mon Sep 09 2024 Miaojun Dong <zoedong@tencent.com> - 2.8.0-3
- Drop dependency for tox

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> - 2.8.0-1
- update to 2.8.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Miaojun Dong <zoedong@tencent.com> - 2.7.1-1
- initial build
